mkTuple: {
	"org/gnome/settings-daemon/plugins/media-keys" = {
		custom-keybindings = ["/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal/"];
		screensaver = ["<Alt>Escape"];
	};
	"org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal" = {
		binding="<Alt>t";
		command="kitty";
		name="Terminal";
	};
	"org/gnome/settings-daemon/plugins/power" = {
		ambient-enabled = false;
	};
	"org/gnome/mutter" = {
		dynamic-workspaces=false;
		overlay-key="Alt_L";
		# Enable fractional scaling
		experimental-features=["scale-monitor-framebuffer"];
	};
	"org/gnome/desktop/search-providers" = {
		disabled = [
			"org.gnome.Epiphany.desktop"
			"org.gnome.Photos.desktop"
			"org.gnome.seahorse.Application.desktop"
			"org.gnome.clocks.desktop"
			"org.gnome.Calendar.desktop"
			"org.gnome.Calculator.desktop"
		];
	};
	"org/gnome/desktop/interface" = {
		show-battery-percentage=true;
		font-antialiasing="rgba";
	};

	"org/gnome/shell" = {
		favorite-apps=["org.gnome.Nautilus.desktop"];
		enabled-extensions = [
			"pop-shell@system76.com"
			"firefox-pip@bennypowers.com"
			"espresso@coadmunkee.github.com"
			"burn-my-windows@schneegans.github.com"
			"blur-my-shell@aunetx"
			"user-theme@gnome-shell-extensions.gcampax.github.com"
		];
	};
	"org/gnome/shell/extensions/pop-shell" = {
		tile-move-down-global=["<Alt><Shift>j"];
		tile-move-up-global=["<Alt><Shift>k"];
		tile-move-left-global=["<Alt><Shift>h"];
		tile-move-right-global=["<Alt><Shift>l"];
		focus-down=["<Alt>j"];
		focus-up=["<Alt>k"];
		focus-left=["<Alt>h"];
		focus-right=["<Alt>l"];
		tile-orientation=["<Alt>o"];
		tile-floating=["<Alt>g"];
		tile-stacking-global=["<Alt>s"];

		active-hint=true;
		active-hint-border-radius=true;
		show-title=false;
		smart-gaps=true;
		snap-to-grid=true;
		tile-by-default=true;
	};
	"org/gnome/shell/extensions/burn-my-windows" = {
		disable-on-battery=true;
		broken-glass-animation-time = 666;
		broken-glass-close-effect = true;
		pixelate-animation-time = 400;
		pixelate-noise = 44;
		pixelate-pixel-size = 24;
		pixelate-open-effect = true;
		fire-close-effect = false;
		glide-close-effect = false;
	};
	"org/gnome/shell/extensions/espresso" = {
		show-notifications=false;
	};
	"org/gnome/shell/extensions/blur-my-shell" = {
		hacks-level = 0;
	};
	"org/gnome/desktop/input-sources" = {
		show-all-sources=true;
		sources=[
			(mkTuple ["xkb" "us+3l"])
			(mkTuple ["xkb" "us"])
		];
	};
	"org/gnome/desktop/media-handling" = {
		autorun-never = true;
	};
	"org/gnome/desktop/wm/preferences" = {
		num-workspaces=5;
	};
	"org/gnome/desktop/wm/keybindings" = {
		minimize=["<Alt>comma"];
		switch-to-workspace-left=[];
		switch-to-workspace-right=[];
		maximize=[];
		unmaximize=[];
		move-to-monitor-up=[];
		move-to-monitor-down=[];
		move-to-monitor-left=[];
		move-to-monitor-right=[];
		switch-to-workspace-down=[];
		switch-to-workspace-up=[];
		toggle-fullscreen=["<Alt>m"];
		close=["<Alt>q"];
		switch-to-workspace-1=["<Alt>1"];
		switch-to-workspace-2=["<Alt>2"];
		switch-to-workspace-3=["<Alt>3"];
		switch-to-workspace-4=["<Alt>4"];
		switch-to-workspace-5=["<Alt>5"];
		move-to-workspace-1=["<Alt><Shift>1"];
		move-to-workspace-2=["<Alt><Shift>2"];
		move-to-workspace-3=["<Alt><Shift>3"];
		move-to-workspace-4=["<Alt><Shift>4"];
		move-to-workspace-5=["<Alt><Shift>5"];
	};
	"org/gnome/shell/keybindings" = {
		open-application-menu=[];
		toggle-message-tray=[];
		toggle-overview=[];
	};
	"org/gnome/mutter/keybindings" = {
		toggle-tiled-left=[];
		toggle-tiled-right=[];
	};
}